# $Revision: 1.58 $, $Date: 2011/04/25 09:06:36 $
Summary:	Documentation utilities for GNOME
Summary(pl.UTF-8):	Narzędzia do budowania dokumentacji dla GNOME
Name:		gnome-doc-utils
Version:	0.20.6
Release:	1
License:	GPL v2+/LGPL v2+
Group:		Development/Tools
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/0.20/%{name}-%{version}.tar.bz2
# Source0-md5:	8f6e05071599bc073007830ea0a68391
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	docbook-dtd44-xml
BuildRequires:	gettext-devel
BuildRequires:	intltool >= 0.37.0
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	libxml2-progs >= 1:2.6.31
BuildRequires:	libxslt-devel >= 1.1.22
BuildRequires:	libxslt-progs >= 1.1.22
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-libxml2 >= 1:2.6.31
BuildRequires:	rarian-compat
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.197
Requires(post,postun):	rarian-compat
Requires:	libxslt-progs >= 1.1.22
Requires:	python-libxml2 >= 1:2.6.31
Requires:	python-modules >= 1:2.4
Requires:	which
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Collection of documentation utilities for GNOME.

%description -l pl.UTF-8
Zestaw narzędzi do budowania dokumentacji dla GNOME.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal} -I m4 -I tools
%{__autoconf}
%{__automake}
%configure \
	--disable-scrollkeeper
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%find_lang %{name} --all-name --with-omf --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-doc-prepare
%attr(755,root,root) %{_bindir}/gnome-doc-tool
%attr(755,root,root) %{_bindir}/xml2po
%{_aclocaldir}/gnome-doc-utils.m4
%{_datadir}/%{name}
%{_datadir}/xml/gnome
%{_datadir}/xml/mallard
%{_mandir}/man1/xml2po.1*
%dir %{py_sitescriptdir}/xml2po
%{py_sitescriptdir}/xml2po/*.py[co]
%dir %{py_sitescriptdir}/xml2po/modes
%{py_sitescriptdir}/xml2po/modes/*.py[co]
%{_npkgconfigdir}/gnome-doc-utils.pc
%{_npkgconfigdir}/xml2po.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-doc-utils.spec,v $
Revision 1.58  2011/04/25 09:06:36  megabajt
- updated to 0.20.6

Revision 1.57  2011/03/27 13:10:48  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.56  2011/03/24 08:17:42  megabajt
- updated to 0.20.5

Revision 1.55  2011/01/11 18:20:32  qboosh
- updated to 0.20.4

Revision 1.54  2011/01/06 14:13:51  qboosh
- updated to 0.20.3

Revision 1.53  2010/11/08 19:57:14  shadzik
- rel 2

Revision 1.52  2010/09/29 20:08:19  megabajt
- updated to 0.20.2

Revision 1.51  2010/07/29 12:49:28  baggins
- rel 4

Revision 1.50  2010/07/09 10:45:35  arekm
- release 3

Revision 1.49  2010/07/08 07:52:07  arekm
- release 2

Revision 1.48  2010/04/27 14:54:53  megabajt
- updated to 0.20.1

Revision 1.47  2010/03/29 17:42:39  megabajt
- updated to 0.20.0; merged changes from DEVEL

Revision 1.46.2.1  2010/02/13 11:18:04  megabajt
- updated to 0.19.4

Revision 1.46  2010/01/06 01:43:26  sparky
- BR: docbook-dtd44-xml

Revision 1.45  2009/12/04 21:45:37  megabajt
- updated to 0.18.1

Revision 1.44  2009/11/25 16:06:40  sparky
- aclocal include tools directory
- BR: libxml2-progs, libxslt-progs, python-libxml2

Revision 1.43  2009/09/26 15:37:56  patrys
- let ca@valencia live

Revision 1.42  2009/09/25 11:03:02  megabajt
- updated to 0.18.0; merged from DEVEL
- force make -j1 to fix build

Revision 1.41.2.2  2009/08/08 15:44:04  patrys
- no ca@valencia

Revision 1.41.2.1  2009/08/08 15:40:00  patrys
- 0.17.3

Revision 1.41  2009/04/15 09:48:03  megabajt
- updated to 0.16.1

Revision 1.40  2009/03/16 19:38:14  megabajt
- updated to 0.16.0

Revision 1.39  2009/01/15 11:17:42  megabajt
- updated to 0.14.2

Revision 1.38  2008/12/22 13:25:31  megabajt
- update to 0.14.1

Revision 1.37  2008/11/17 18:10:11  qboosh
- fixed build without itself already installed

Revision 1.36  2008/11/04 21:02:11  sls
- R: which (invoked in gnome-doc-utils.make)

Revision 1.35  2008/11/04 20:54:20  sls
- R: python-modules (for gettext module)

Revision 1.34  2008/09/26 18:18:42  megabajt
- updated to 0.14.0

Revision 1.33  2008/03/20 15:55:22  megabajt
- updated to 0.12.2

Revision 1.32  2008-02-13 09:17:01  megabajt
- updated to 0.12.1

Revision 1.31  2007-11-30 19:05:43  megabajt
- use better way to fix locale name
- use --with-omf
- release 3

Revision 1.30  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.29  2007/09/18 13:15:30  megabajt
- updated to 0.12.0; merged from DEVEL

Revision 1.28.2.2  2007/08/30 20:46:59  aflinta
- to avoid errors during upgrade use rarian-compat instead of scrollkeeper

Revision 1.28.2.1  2007/08/29 05:57:43  patrys
- 0.11.2

Revision 1.28  2007/08/05 21:32:16  wolvverine
- rel.2

Revision 1.27  2007/04/09 19:44:56  megabajt
- updated to 0.10.3

Revision 1.26  2007/03/13 11:17:15  megabajt
- updated to 0.10.1

Revision 1.25  2007/03/12 18:11:29  megabajt
- updated to 0.10.0

Revision 1.24.2.2  2007/03/01 18:00:24  megabajt
- missing BR: rpm-pythonprov

Revision 1.24.2.1  2007/02/15 21:09:38  megabajt
- updated to 0.9.2

Revision 1.24  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.22  2006/10/05 22:08:37  grzegol
- package ug lang files (languages added in glibc-2.5)

Revision 1.21  2006/09/05 21:01:39  grzegol
- 0.8.0

Revision 1.20  2006/08/12 09:36:47  ankry
- formatting

Revision 1.19  2006/08/08 16:22:35  freetz
- 0.7.2

Revision 1.18  2006/06/12 15:51:24  freetz
- 0.7.1

Revision 1.17  2006/04/02 10:32:38  freetz
- merged from DEVEL

Revision 1.14.2.6  2006/03/11 19:15:06  freetz
- 0.6.0

Revision 1.14.2.5  2006/02/27 08:58:32  freetz
- 0.5.7

Revision 1.14.2.4  2006/02/21 17:49:08  freetz
- 0.5.6

Revision 1.14.2.3  2006/02/13 21:26:55  freetz
- 0.5.5

Revision 1.14.2.2  2006/01/30 18:15:07  freetz
- 0.5.4

Revision 1.14.2.1  2006/01/22 19:15:56  freetz
- 0.5.3

Revision 1.16  2006/04/01 17:47:01  qboosh
- tab

Revision 1.15  2006/04/01 17:28:51  aredridel
- R: libxslt-progs

Revision 1.14  2005/11/28 22:43:17  freetz
- R: python-libxml2

Revision 1.13  2005/11/28 18:02:48  freetz
- 0.4.4

Revision 1.12  2005/10/13 13:10:20  freetz
- 0.4.3

Revision 1.11  2005/09/29 09:53:30  freetz
- 0.4.2, major bugfix release

Revision 1.10  2005/09/07 06:29:33  paladine
- updated to 0.4.1

Revision 1.9  2005/09/06 12:00:11  paladine
- updated to 0.4.0

Revision 1.8  2005/08/30 06:47:09  paladine
- updated to 0.3.3

Revision 1.7  2005/08/28 19:41:03  arekm
- merged from DEVEL

Revision 1.6.2.3  2005/07/27 07:19:24  paladine
- updated to 0.3.2

Revision 1.6.2.2  2005/07/25 19:06:21  freetz
- killed scrollkeeper-update call (patch), rel.2

Revision 1.6.2.1  2005/07/12 12:05:23  freetz
- 0.3.1

Revision 1.6  2005/07/12 12:01:17  freetz
- 0.2.1

Revision 1.5  2005/04/08 12:08:01  paladine
- new style macros
- STBR

Revision 1.4  2005/04/04 16:00:21  paladine
- updated to 0.2.0
- proper license
- run scrollkeeper-update in quiet mode

Revision 1.3  2005/03/05 22:19:33  qboosh
- let rpm decide how to compress man

Revision 1.2  2005/03/05 20:53:31  aflinta
- up to version 0.1.3

Revision 1.1  2005/02/07 00:06:23  grzegol
- new
